/* Wrapper for vertical centering trickery */

#wrapper{
    width:544px;
    height:533px;
    margin:auto;
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
}

/* Main chat container */

#chatContainer{
	width:510px;
    height:471px;
    padding:12px;
    border:1px solid #333;
    background-color:#484848;
}


/* Top Bar */

#chatTopBar{
	height:42px;
	background:url('../img/solid_gray.jpg') repeat-x #d0d0d0;
	border:1px solid #fff;
	margin-bottom:8px;
	position:relative;
	color:#777;
	text-shadow:1px 1px 0 #FFFFFF;
}

#chatTopBar .name{
	position:absolute;
	top:12px;
	left:40px;
}

#chatTopBar img{
	left:9px;
	position:absolute;
	top:9px;
}


/* Chats */


#chatLineHolder{
	height:360px;
	width:350px;
    margin-top:8px;
    margin-bottom:8x;
    background-color:#202020;
	border:1px solid #111111;
}

.chat{
	background:url('../img/chat_line_bg.jpg') repeat-x #d5d5d5;
	min-height:24px;
	padding:6px;
	border:1px solid #FFFFFF;
	padding:8px 6px 4px 37px;
	position:relative;
	margin:10px;
}

.chat:last-child{
	margin-bottom:0;
}

.chat span{
	color:#777777;
	text-shadow:1px 1px 0 #FFFFFF;
	font-size:12px;
}

.chat .text{
	color:#444444;
	display:inline-block;
	font-size:15px;
	overflow:hidden;
	vertical-align:top;
	width:190px;
}

.chat .gravatar{
	background:url('http://www.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?size=23') no-repeat;
	left:7px;
	position:absolute;
	top:7px;
}

.chat img{
	display:block;
	visibility:hidden;
}

.chat .time{
	position:absolute;
	right:10px;
	top:12px;
	font-size:11px;
}

.chat .author{
	margin-right:6px;
	font-size:11px;
}


/* Chat User Area */


#chatUsers{
	background-color:#202020;
	border:1px solid #111111;
	height:360px;
	position:absolute;
	right:21px;
	top:65px;
	width:150px;
}

#chatUsers .user{
	background:url('http://www.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?size=30') no-repeat 1px 1px #444444;
	border:1px solid #111111;
	float:left;
	height:32px;
	margin:10px 0 0 10px;
	width:32px;
}

#chatUsers .user img{
	border:1px solid #444444;
	display:block;
	visibility:hidden;
}

#chatUsers .user img:hover{
	border:1px solid #008800;
	display:block;
	visibility:hidden;
}


/* Bottom Bar */


#chatBottomBar{
	background:url('../img/solid_gray.jpg') repeat-x #d0d0d0;
	position:relative;
	padding:9px;
    margin-top:8px;
    border:1px solid #fff;
}

#chatBottomBar .tip{
	position:absolute;
	width:0;
	height:0;
	border:10px solid transparent;
	border-bottom-color:#eeeeee;
	top:-20px;
	left:20px;
}

#chatContainer input{
	background:url('../img/input_bg.jpg') repeat-x #dcdcdc;
	height:27px;
	font:13px/26px Calibri,Arial,sans-serif;
	color:#777;
	border:1px solid;
	border-color:#c1c1c1 #eee #eee #c1c1c1;
	text-shadow:1px 1px 0 #E4E4E4;
	padding:0 5px;
	margin-right:5px;
	width:186px;
	outline:none;
}


#submitForm{
	display:none;
}

input#chatText{
	/* The chat submit text field */
	width:393px;
}


/* Overloading the default styles of jScrollPane */


.jspVerticalBar{
	background:none;
	width:20px;
}

.jspTrack{
	background-color:#202020;
	border:1px solid #111111;
	width:3px;
	right:-10px;
}

.jspDrag {
	background:url('../img/slider.png') no-repeat;
	width:20px;
	left:-9px;
	height:20px !important;
	margin-top:-5px;
}

.jspDrag:hover{
	background-position:left bottom;
}


/* Additional styles */


a.logoutButton{
	background-color:#bbb;
	border:1px solid #eee !important;
	color:#FFFFFF !important;
	font-size:12px;
	padding:5px 9px;
	position:absolute;
	right:8px;
	text-shadow:1px 1px 0 #888;
	top:8px;
	-moz-box-shadow:0 0 7px #888 inset;
	-webkit-box-shadow:0 0 7px #888 inset;
	box-shadow:0 0 7px #888 inset;
}

a.logoutButton:hover{
	text-shadow:1px 1px 0 #888;
	-moz-box-shadow:0 0 7px #666 inset;
	-webkit-box-shadow:0 0 7px #666 inset;
	box-shadow:0 0 7px #666 inset;
}

a.registerButton{
	background-color:#bbb;
	border:1px solid #eee !important;
	color:#FFFFFF !important;
	font-size:12px;
	padding:5px 9px;
	position:absolute;
	right:8px;
	text-shadow:1px 1px 0 #888;
	top:8px;
	-moz-box-shadow:0 0 7px #888 inset;
	-webkit-box-shadow:0 0 7px #888 inset;
	box-shadow:0 0 7px #888 inset;
}

a.registerButton:hover{
	text-shadow:1px 1px 0 #888;
	-moz-box-shadow:0 0 7px #666 inset;
	-webkit-box-shadow:0 0 7px #666 inset;
	box-shadow:0 0 7px #666 inset;
}

p.registerText{
    position:absolute;
    left:8px;
    top:12px;
}
    
#chatContainer .blueButton{
	background:url('../img/button_blue.png') no-repeat;
	border:none !important;
	color:#516D7F !important;
	display:inline-block;
	font-size:13px;
	height:29px;
	text-align:center;
	text-shadow:1px 1px 0 rgba(255, 255, 255, 0.4);
	width:75px;
	margin:-2px 0 0 0;
    cursor:pointer;
    outline:none;
}

#chatContainer .blueButton:hover{
	background-position:left bottom;
    outline:none;
}

p.noChats,
#chatUsers .count{
	clear:both;
	font-size:12px;
	padding:10px;
	text-align:center;
	text-shadow:1px 1px 0 #111111;
}

#chatUsers .count{
	font-size:12px;
}

.rounded{
	-moz-border-radius:4px;
	-webkit-border-radius:4px;
	border-radius:4px;
}

#chatErrorMessage{
	width:100%;
	top:0;
	left:0;
	position:fixed;
	background-color:#ab0909;
	/*border-bottom:1px solid #d32a2a;*/
	font-size:20px;
	padding:14px;
	text-align:center;
	color:#fff;
	text-shadow:1px 1px 0 #940f0f;
}

#chatConfirmMessage{
	width:100%;
	top:0;
	left:0;
	position:fixed;
	background-color:#008800;
	/*border-bottom:1px solid #0f900f;*/
	font-size:20px;
	padding:14px;
	text-align:center;
	color:#fff;
	text-shadow:1px 1px 0 #0f710f;
}

#regDiv{
	visibility:hidden;
    position:absolute;
    z-index:1000;
    width:488px;
    height:397px;
    top:65px;
    left:13px;
    background-color:#202020;
	border:1px solid #111111;
    padding:10px;
}

#regFloat{
	visibility:hidden;
    float:right;
    width:240px;
    line-height:26px;
    margin-right:12px;
}

p.regFont{
	line-height:26px;
}

input.regInput{
	width:240px;
}

input.registerButton{
	background-color:#bbb;
	border:1px solid #333 !important;
	color:#FFFFFF !important;
	font-size:12px;
	padding:5px 9px;
	position:absolute;
	right:10px;
	text-shadow:1px 1px 0 #888;
    bottom:10px;
	-moz-box-shadow:0 0 7px #888 inset;
	-webkit-box-shadow:0 0 7px #888 inset;
	box-shadow:0 0 7px #888 inset;
    cursor:pointer;
}

input.registerButton:hover{
	text-shadow:1px 1px 0 #888;
	-moz-box-shadow:0 0 7px #666 inset;
	-webkit-box-shadow:0 0 7px #666 inset;
	box-shadow:0 0 7px #666 inset;
}

p.well{
	text-align:right;
    position:relative;
    top:-70px;
    right:2px;"
}

input.regInput{
	background:url('../img/input_bg.jpg') repeat-x #dcdcdc;
    color:#777;
	border:1px solid;
	border-color:#c1c1c1 #eee #eee #c1c1c1;
    text-shadow:1px 1px 0 #E4E4E4;
	padding:2px 5px;
	margin-right:5px;
	outline:none;
    font:13px Calibri,Arial,sans-serif;
}

p.bac
{
    position: relative;
    font-family: 'Assistant', helvetica, "courier new", sans-serif;
    font-size: 18px;
}

a.back
{
    color: #444;
    outline: 0;
    position: relative;
    font-weight:100;
}

a.back:active
{
}

a.back:hover
{
    text-decoration: none;
    color:#fff;
}

#button
{
    position:absolute;
    top:20px;
    right:20px;
    width:60px;
    height:60px;
    background-color:#fff;
    box-shadow: 0 0 4px #999;
    line-height:60px;
    text-align: center;
    border-radius: 50%;
    z-index: 10;
}

#button:hover
{
    background-color: #333;
    opacity: 0.7;
}